[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# epoll_create

Create new epoll file descriptor

## Declaration

Source position: linux.pp line 268

`function epoll_create(`
`size: cint`
`):cint;`

## Description

epoll_create creates a new epoll file descriptor. The size argument indicates to the kernel approximately how many structures should be allocated, but is by no means an upper limit.

On success, a file descriptor is returned that can be used in subsequent epoll_ctl or epoll_wait calls, and should be closed using the fpClose call.

## Errors

On error, -1 is returned, and errno is set.

## See also

epoll_ctl |  | Modify an epoll file descriptor
epoll_wait |  | Wait for an event on an epoll file descriptor.
fpClose |  | Close file descriptor

Documentation generated on: Feb 26 2014